<?php

/***************************************************
 *                  admin_userbar.php              *
 ***************************************************
 *   begin                : october , 2009         *
 *   by                   : SaTurNin               *
 *   WWW                  : http://chez-swan.net   *
 *                                                 *
****************************************************/
//require_once('./uploader.php');
require_once('../admin/admin_begin.php');
load_module_lang('userbar'); //Chargement de la langue du module.
define('TITLE', $LANG['admin_userbar_title']);
require_once('../admin/admin_header.php');

function GetFileList( $dirname="." ) {   
	$files = array(); 
	$dir = @opendir( $dirname ) ;
	while( $file = readdir( $dir ) ) {
     	 if (stristr($file, '.png') != FALSE){
			$files[] = $file; 
			}
		}
	sort($files);
 	return $files;
	}

//ouverture du template pour le parse
$Template->set_filenames(array( 'admin_userbar'=> 'userbar/admin_userbar.tpl' ));

//parse lang général
	$Template->assign_vars(array( 
		'TITLE'=> $LANG['admin_userbar_title'],
		'FSINFO1' => $LANG['admin_userbar_fsinfo1'],
		'INFO' => $LANG['admin_userbar_info'],
		'FST2' => $LANG['admin_userbar_fst2'],
		'FS2' => $LANG['admin_userbar_fs2'],
		'FST3' => $LANG['admin_userbar_fst3'],
		'FS3' => $LANG['admin_userbar_fs3'],
		'AUSEND' => $LANG['admin_userbar_send'],
		'CSNLINK' => $LANG['userbar_link'],
		'MODNO' => $LANG['userbar_modno'],
		'VISITCSN' =>$LANG['userbar_visitcsn']
		 ));


// Variable du dossier (pas toucher ou sa marche plus!!)
$pathimages = "../userbar/barres/" ;
$pathicones = "../userbar/icones/" ;
// lecture repertoire, et recup images pour afficher les barres
if (is_dir($pathimages))
	{
	$imagelist = GetFileList($pathimages);
	$nbr_tot = count($imagelist);
	$debut	 = 0;
	$LIST = "&nbsp;" ;
	$i= 0;
	for($i=$debut; $i < $nbr_tot ; $i++){ 
		$image	 =  $imagelist[$i] . "&nbsp;&nbsp;&nbsp;<a onclick=\"return(confirm('". $LANG['admin_userbar_confirm_del'] ."'));\" href=\"delbare.php?file=" . $pathimages.$imagelist[$i] . "\">&times;</a><br /> <img width=\"100px\" src=\"./barres/" . $imagelist[$i] . "\"><hr /> " ;
		$LIST = "$image$LIST" ;
		}
	$Template->assign_vars(array( 
		'IMAGES'=> $LIST,
		'TM1' => $LANG['admin_userbar_tm1']
		 ));
	}

if (is_dir($pathicones))
	{
	$iconelist = GetFileList($pathicones);
	$nbr_tot2 = count($iconelist);
	$debut2	 = 0;
	$ILIST = "&nbsp;" ;
	$o= 0;
	for($o=$debut2; $o < $nbr_tot2 ; $o++)
		{
		if (($o ===  2) || ($o === 2 + 3) || ($o === 3 * 3 - 1) || ($o ===  4 * 3 - 1) || ($o === 5 * 3 - 1) || ($o === 6 * 3 - 1) ||($o === 7 * 3 - 1) || ($o === 8 * 3 -1 ) || ($o === 9 * 3 -1 ) || ($o === 10 * 3 - 1) )
			{ $icone ="</tr><tr><td width=\"54px\"><a onclick=\"return(confirm('". $LANG['admin_userbar_confirm_del'] ."'));\" href=\"delbare.php?file=" . $pathicones.$iconelist[$o] . "\" title=\"" . $iconelist[$o] . "\"> &nbsp; &nbsp; &times;</a><br /> <img src=\"./icones/" . $iconelist[$o] . "\"></td> &nbsp; " ;
		 	}
			else	{ $icone ="<td width=\"54px\"><a onclick=\"return(confirm('". $LANG['admin_userbar_confirm_del'] ."'));\" href=\"delbare.php?file=" . $pathicones.$iconelist[$o] . "\" title=\"" . $iconelist[$o] . "\"> &nbsp; &nbsp; &times; </a><br /> <img src=\"./icones/" . $iconelist[$o] . "\"> </td> &nbsp;" ;
			}
		$ILIST = "$icone$ILIST" ;
		}
	$Template->assign_vars(array( 
		'TM2'=>$LANG['admin_userbar_tm2'],
		'ICONES'=> "<table width='162px'><tr>" . $ILIST  . "</tr></td></table>",
		 ));
	}


// uploadeur de barre si et uniquement si une variable est passer en url! /!\ include de fichier externe /!\
if(!empty($_FILES["file"]["name"])){
	require_once('uploader.php');
	$ubarmess1 = "<span class=\"notice\">" . $ubarmess . "<script type=\"text/javascript\">\n<!--\n
var locationObj = window.location;\n
   window.location =\"admin_userbar.php  \"; \n
 setTimeout('window.location.replace(); ', 1500);\n -->\n </script></span>" ;
	$Template->assign_vars(array(
		'UBARMESS' => $ubarmess1 
	));
 }

// uploadeur d'icones  si et uniquement si une variable est passer en url! /!\ include de fichier externe /!\
if(!empty($_FILES["icones"]["name"])){
	require_once('uploader.php');
	$ubarmess3 = "<span class=\"notice\">" . $ubarmess2 . "<script type=\"text/javascript\">\n<!--\n
var locationObj = window.location;\n
   window.location =\"admin_userbar.php  \"; \n
 setTimeout('window.location.replace(); ', 1500);\n -->\n </script></span>" ;
	$Template->assign_vars(array(
		'UBARMESSICO' => $ubarmess3 
	));
 }
	$Template->pparse('admin_userbar'); // traitement du template apres c'est fini	


require_once('../admin/admin_footer.php');

?>
